package cn.feast.coding.mapper.generator;

import cn.feast.coding.model.generator.DataSource;
import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface DataSourceMapper{
    Integer save(DataSource model);

    void update(DataSource model);

    void deleteById(Integer id);

    int queryByCount(DataSource model);

    List<DataSource> queryByList(Map paramsMap);
	
	List<DataSource> queryByDataSource(DataSource model);

    DataSource queryById(Integer id);

    List<DataSource> queryAll();
}